Loading...
Searching...
No Matches
hueplusplus::ExtendedColorTemperatureStrategy Class Reference

Class implementing the functions of ColorTemperatureStrategy. More...

`#include <hueplusplus/ExtendedColorTemperatureStrategy.h>`

Inheritance diagram for hueplusplus::ExtendedColorTemperatureStrategy:
[legend]
Collaboration diagram for hueplusplus::ExtendedColorTemperatureStrategy:
[legend]

## Public Member Functions

bool | alertTemperature (unsigned int mired, Light &light) const override
| Function that lets the light perform one breath cycle in the specified color.
Public Member Functions inherited from hueplusplus::SimpleColorTemperatureStrategy
bool | setColorTemperature (unsigned int mired, uint8_t transition, Light &light) const override
| Function for changing a lights color temperature in mired with a specified transition.
bool | alertTemperature (unsigned int mired, Light &light) const override
| Function that lets the light perform one breath cycle in the specified color.
unsigned int | getColorTemperature (Light &light) const override
| Function that returns the current color temperature of the light.
unsigned int | getColorTemperature (const Light &light) const override
| Function that returns the current color temperature of the light.
Public Member Functions inherited from hueplusplus::ColorTemperatureStrategy
virtual | ~ColorTemperatureStrategy ()=default
| Virtual dtor.

## Detailed Description

Class implementing the functions of ColorTemperatureStrategy.

## Member Function Documentation

## alertTemperature()

bool hueplusplus::ExtendedColorTemperatureStrategy::alertTemperature | ( | unsigned int | mired,
|  | Light & | light
| ) |  | const

override virtual

Function that lets the light perform one breath cycle in the specified color.

It uses this_thread::sleep_for to accomodate for the time an Light::alert() needs The color temperature in mired ranges from 153 to 500 whereas 153 is cold and 500 is warm.

Parameters

  mired | The color temperature in mired
  light | A reference of the light

Implements hueplusplus::ColorTemperatureStrategy.

The documentation for this class was generated from the following files:

- include/hueplusplus/ExtendedColorTemperatureStrategy.h
- src/ExtendedColorTemperatureStrategy.cpp